org.eclipse.viatra.query.patternlanguage.emf.vql.impl

## Class VariableReferenceImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.ExpressionImpl
          - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.ValueReferenceImpl
            - - org.eclipse.viatra.query.patternlanguage.emf.vql.impl.VariableReferenceImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, Expression, ValueReference, VariableReference

      public class VariableReferenceImpl
      extends ValueReferenceImpl
      implements VariableReference

  An implementation of the model object 'Variable Reference'.

  The following features are implemented:

  - `Aggregator`
  - `Var`
  - `Variable`
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `aggregator` The cached value of the '`Aggregator`' attribute.
    `protected static boolean` | `AGGREGATOR_EDEFAULT` The default value of the '`Aggregator`' attribute.
    `protected java.lang.String` | `var` The cached value of the '`Var`' attribute.
    `protected static java.lang.String` | `VAR_EDEFAULT` The default value of the '`Var`' attribute.
    `protected Variable` | `variable` The cached value of the '`Variable`' reference.

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VariableReferenceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Variable` | `basicGetVariable()`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `java.lang.String` | `getVar()`
    `Variable` | `getVariable()`
    `boolean` | `isAggregator()`
    `void` | `setAggregator(boolean newAggregator)`
    `void` | `setVar(java.lang.String newVar)`
    `void` | `setVariable(Variable newVariable)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### AGGREGATOR_EDEFAULT

          protected static final boolean AGGREGATOR_EDEFAULT

      The default value of the '`Aggregator`' attribute.
      See Also:
        `isAggregator()`, Constant Field Values
      Generated:
      Ordered:

    - #### aggregator

          protected boolean aggregator

      The cached value of the '`Aggregator`' attribute.
      See Also:
        `isAggregator()`
      Generated:
      Ordered:

    - #### VAR_EDEFAULT

          protected static final java.lang.String VAR_EDEFAULT

      The default value of the '`Var`' attribute.
      See Also:
        `getVar()`
      Generated:
      Ordered:

    - #### var

          protected java.lang.String var

      The cached value of the '`Var`' attribute.
      See Also:
        `getVar()`
      Generated:
      Ordered:

    - #### variable

          protected Variable variable

      The cached value of the '`Variable`' reference.
      See Also:
        `getVariable()`
      Generated:
      Ordered:

  - ### Constructor Detail

    - #### VariableReferenceImpl

          protected VariableReferenceImpl()

      Generated:

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ValueReferenceImpl`
      Generated:

    - #### isAggregator

          public boolean isAggregator()

      Specified by:
        `isAggregator` in interface `VariableReference`
      Returns:
        the value of the 'Aggregator' attribute.
      See Also:
        `VariableReference.setAggregator(boolean)`, `PatternLanguagePackage.getVariableReference_Aggregator()`
      Generated:

    - #### setAggregator

          public void setAggregator(boolean newAggregator)

      Specified by:
        `setAggregator` in interface `VariableReference`
      Parameters:
        `newAggregator` - the new value of the 'Aggregator' attribute.
      See Also:
        `VariableReference.isAggregator()`
      Generated:

    - #### getVar

          public java.lang.String getVar()

      Specified by:
        `getVar` in interface `VariableReference`
      Returns:
        the value of the 'Var' attribute.
      See Also:
        `VariableReference.setVar(String)`, `PatternLanguagePackage.getVariableReference_Var()`
      Generated:

    - #### setVar

          public void setVar(java.lang.String newVar)

      Specified by:
        `setVar` in interface `VariableReference`
      Parameters:
        `newVar` - the new value of the 'Var' attribute.
      See Also:
        `VariableReference.getVar()`
      Generated:

    - #### getVariable

          public Variable getVariable()

      Specified by:
        `getVariable` in interface `VariableReference`
      Returns:
        the value of the 'Variable' reference.
      See Also:
        `VariableReference.setVariable(Variable)`, `PatternLanguagePackage.getVariableReference_Variable()`
      Generated:

    - #### basicGetVariable

          public Variable basicGetVariable()

      Generated:

    - #### setVariable

          public void setVariable(Variable newVariable)

      Specified by:
        `setVariable` in interface `VariableReference`
      Parameters:
        `newVariable` - the new value of the 'Variable' reference.
      See Also:
        `VariableReference.getVariable()`
      Generated:

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `ValueReference`
      Specified by:
        `toString` in interface `VariableReference`
      Overrides:
        `toString` in class `ValueReferenceImpl`
      Generated:

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated: